List all pool blocks
get
/blocks/allList a page of confirmed metadata for usable rollups in the current canonically committed synchronization view. The list is empty while canonical synchronization is unavailable.
Query parameters
limitinteger · int32default 50The number of items in list to return
offsetinteger · int32default 0The offset to start the list from
Responses
200List of pool block objects describing all tracked LFSM rollupsPoolBlock[]▶
utxoIdstringrequiredUTXO id of Lithos contract currently processing this block
blockIdstringrequiredHeader id associated with this block
blockHeightinteger · int32requiredHeight of this Lithos-mined block
numMinersinteger · int32requiredNumber of miners which are currently being processed by this Lithos pool contract
phasestringrequiredCurrent LFSM phase of the associated Lithos contract
defaultErrorApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description